import { Component, ReactNode, MouseEventHandler } from "react";
declare class ModalContainer extends Component<{
    visible?: boolean;
    modalTitle?: ReactNode;
    width?: number;
    onClose: MouseEventHandler;
    ariaLabelCloseButton?: string;
    /** The class that should be added to the modal container */
    containerClassName?: string;
    /** The class that should be added to the wrapper of the scrollable modal content */
    contentWrapperClassName?: string;
} & JSX.IntrinsicElements["div"], {}> {
    private modalRef;
    static defaultProps: {
        visible: boolean;
        modalTitle: boolean;
        width: number;
        onClose: () => void;
        ariaLabelCloseButton: string;
    };
    constructor(props: any);
    private FOCUSABLE;
    private focusableNodes;
    private firstFocusableNode;
    private lastFocusableNode;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    private setupFocusTrap;
    private keyboardListener;
    render(): JSX.Element;
}
export { ModalContainer };
